#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network)
#
%define		pdir	WWW
%define		pnam	libwww-perl
Summary:	libwww-perl - a simple and consistent API to the World-Wide Web
Summary(pl.UTF-8):	libwww-perl - prosty i logiczny API do WWW
Name:		perl-libwww
Version:	6.73
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/authors/id/O/OA/OALDERS/%{pnam}-%{version}.tar.gz
# Source0-md5:	729fd102fb3879acca2d46cb36dbba21
URL:		https://metacpan.org/release/libwww-perl
BuildRequires:	perl-CPAN-Meta-Requirements >= 2.120_620
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Net::FTP) >= 2.58
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Encode >= 2.12
BuildRequires:	perl-Encode-Locale
BuildRequires:	perl-File-Listing >= 6
BuildRequires:	perl-HTML-Parser >= 3.71
BuildRequires:	perl-HTTP-Cookies >= 6
BuildRequires:	perl-HTTP-Daemon >= 6.12
BuildRequires:	perl-HTTP-Date >= 6
BuildRequires:	perl-HTTP-Message >= 6.07
BuildRequires:	perl-HTTP-Negotiate >= 6
BuildRequires:	perl-LWP-MediaTypes >= 6
BuildRequires:	perl-MIME-Base64 >= 2.1
BuildRequires:	perl-Net-HTTP >= 6.18
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-RequiresInternet
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI >= 1.10
BuildRequires:	perl-WWW-RobotRules >= 6
BuildRequires:	perl-libnet
%endif
Requires:	perl-File-Listing >= 6
Requires:	perl-HTML-Parser >= 3.71
Requires:	perl-HTTP-Cookies >= 6
Requires:	perl-HTTP-Daemon >= 6.12
Requires:	perl-HTTP-Date >= 6
Requires:	perl-HTTP-Message >= 6
Requires:	perl-HTTP-Negotiate >= 6
Requires:	perl-LWP-MediaTypes >= 6
Requires:	perl-MIME-Base64 >= 2.1
Requires:	perl-Net-HTTP >= 6.18
Requires:	perl-URI >= 1.10
Requires:	perl-WWW-RobotRules >= 6
Provides:	perl(LWP::Debug::TraceHTTP::Socket) = %{version}
Provides:	perl(LWP::Protocol::http::Socket) = %{version}
Provides:	perl(LWP::Protocol::http::SocketMethods) = %{version}
Obsoletes:	perl-libwww-perl < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# modules not always required
%define	_noautoreq_perl	HTTP::GHTTP Authen::NTLM

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web. The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

%description -l pl.UTF-8
libwww-perl jest zbiorem modułów Perla, dostarczających prostego API
do WWW (World-Wide Web). Głównym zadaniem biblioteki jest
udostępnianie klas i funkcji, pozwalających na pisanie klientów WWW.
Biblioteka zawiera także moduły bardziej ogólnego przeznaczenia, a
nawet klasy, pozwalające na implementację prostego serwera HTTP.

%prep
%setup -q -n libwww-perl-%{version}

%build
yes | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

for file in GET HEAD POST; do
	ln -sf lwp-request $RPM_BUILD_ROOT%{_bindir}/$file
	echo '.so lwp-request.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/$file.1p
done
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.SSL
%attr(755,root,root) %{_bindir}/GET
%attr(755,root,root) %{_bindir}/HEAD
%attr(755,root,root) %{_bindir}/POST
%attr(755,root,root) %{_bindir}/lwp-*
%{perl_vendorlib}/LWP.pm
%{perl_vendorlib}/LWP/Authen
%{perl_vendorlib}/LWP/ConnCache.pm
%{perl_vendorlib}/LWP/Debug.pm
%dir %{perl_vendorlib}/LWP/Debug
%{perl_vendorlib}/LWP/Debug/TraceHTTP.pm
%{perl_vendorlib}/LWP/DebugFile.pm
%{perl_vendorlib}/LWP/MemberMixin.pm
%{perl_vendorlib}/LWP/Protocol.pm
%{perl_vendorlib}/LWP/Protocol
%{perl_vendorlib}/LWP/RobotUA.pm
%{perl_vendorlib}/LWP/Simple.pm
%{perl_vendorlib}/LWP/UserAgent.pm
%{_mandir}/man1/GET.1p*
%{_mandir}/man1/HEAD.1p*
%{_mandir}/man1/POST.1p*
%{_mandir}/man1/lwp-*.1p*
%{_mandir}/man3/LWP*.3pm*
%{_mandir}/man3/lwpcook.3pm*
%{_mandir}/man3/lwptut.3pm*
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-libwww.git;a=log;h=master

* Wed Jan 17 2024 Jan Palus <atler@pld-linux.org> 18acb30
- up to 6.73

* Sat Aug 19 2023 Jan Palus <atler@pld-linux.org> defdf2e
- up to 6.72

* Mon May 22 2023 Jan Palus <atler@pld-linux.org> b26f588
- up to 6.70

* Wed Mar 01 2023 Jan Palus <atler@pld-linux.org> ba9a7f4
- up to 6.68

* Wed Jun 15 2022 Jan Palus <atler@pld-linux.org> af84d76
- up to 6.67

* Thu May 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 7ac8fce
- adjusted man files, versioned Obsoletes

* Thu May 19 2022 Jan Palus <atler@pld-linux.org> bd7e8ad
- up to 6.66

* Tue Apr 26 2022 Jan Palus <atler@pld-linux.org> 7aa7434
- up to 6.64

* Tue Apr 05 2022 Jan Palus <atler@pld-linux.org> 5d536ea
- up to 6.62

* Sun Jan 23 2022 Jan Palus <atler@pld-linux.org> 18c1149
- up to 6.61

* Fri Dec 17 2021 Jan Palus <jpalus@fastmail.com> ea7bdda
- up to 6.60

* Fri Dec 03 2021 Jan Palus <atler@pld-linux.org> 677f8ee
- up to 6.59

* Wed Oct 27 2021 Jan Palus <atler@pld-linux.org> 8bc92bd
- up to 6.58

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> a290e37
- up to 6.57

* Mon Aug 23 2021 Jan Palus <atler@pld-linux.org> f93a660
- up to 6.56

* Mon Jun 21 2021 Jan Palus <atler@pld-linux.org> be7dd81
- up to 6.55

* Sat May 08 2021 Jan Palus <atler@pld-linux.org> 40a14bd
- up to 6.54

* Mon Mar 08 2021 Jan Palus <atler@pld-linux.org> 5c6ffd6
- up to 6.53

* Fri Jan 08 2021 Jan Palus <atler@pld-linux.org> 09716d8
- up to 6.52

* Tue Dec 22 2020 Jan Palus <atler@pld-linux.org> 6bf956a
- up to 6.50

